View Issue Details

IDProjectCategoryView StatusLast Update
0032860CommunityOCCT:Codingpublic2022-03-06 13:20
Reporterkgv Assigned Tokgv  
PrioritynormalSeverityminor 
Status verifiedResolutionfixed 
PlatformWindowsOSVC++ 2015 
Product Version7.6.0 
Target Version7.7.0 
Summary0032860: Coding Rules, Extrema_GenExtPS - add exported destructor
DescriptionBased on the following Forum topic, classes like BRepExtrema_ExtPF my lead Debug/Release MSVCRT mixture issues:
https://dev.opencascade.org/content/brepextremaextpf-throwing-exception-debug-mode-only

It is proposed to add destructors to BRepExtrema_ExtPF and similar classes to ensure that NCollection_Array2 is released using the same CRT as allocated by constructor/initializer.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberN/A

Relationships

child of 0032008 closedbugmaster Open CASCADE Modeling Algorithms - disallow implicit copy of Extrema algorithms 

Activities

git

2022-03-02 08:18

administrator   ~0107129

Branch CR32860 has been created by kgv.

SHA-1: 3057773b15ecc5b3513ced415d9fc0e082f2235f


Detailed log of new commits:

Author: kgv
Date: Wed Mar 2 08:18:29 2022 +0300

    0032860: Coding Rules, Extrema_GenExtPS - add exported destructor
    
    Added eplicit destructors to classes Extrema_GenExtCS, Extrema_GenExtPS and Extrema_GenExtSS.

kgv

2022-03-02 10:27

developer   ~0107131

Patch is ready for review
- OCCT: branch CR32860.

http://jenkins-test-occt/view/CR32860-master-KGV/view/OCCT%20compile/

aml

2022-03-02 12:37

developer   ~0107135

Reviewed. Please rise the patch.

OCCT: CR32860
Products: -

smoskvin

2022-03-06 10:09

administrator   ~0107206

Combination -
OCCT branch : IR-2022-03-05
master SHA - acce2c1448254a2e57cc940dc479a795dcc3f5f0
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2022-03-05 SHA - 811792d8c83c5e910e820c2e0f9efd0c3306cee3
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18394.330000000256 / 18467.180000000375 [-0.39%]
Products
Total CPU difference: 11708.150000000112 / 11716.630000000077 [-0.07%]
Windows-64-VC14:
OCCT
Total CPU difference: 20348.171875 / 20359.046875 [-0.05%]
Products
Total CPU difference: 13154.5625 / 13140.734375 [+0.11%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2022-03-06 13:20

administrator   ~0107224

Branch CR32860 has been deleted by mnt.

SHA-1: 3057773b15ecc5b3513ced415d9fc0e082f2235f

Related Changesets

occt: master b5204c6c

2022-03-02 08:18:29

kgv


Committer: smoskvin Details Diff
0032860: Coding Rules, Extrema_GenExtPS - add exported destructor

Added eplicit destructors to classes Extrema_GenExtCS, Extrema_GenExtPS and Extrema_GenExtSS.
Affected Issues
0032860
mod - src/Extrema/Extrema_GenExtCS.cxx Diff File
mod - src/Extrema/Extrema_GenExtCS.hxx Diff File
mod - src/Extrema/Extrema_GenExtPS.cxx Diff File
mod - src/Extrema/Extrema_GenExtPS.hxx Diff File
mod - src/Extrema/Extrema_GenExtSS.cxx Diff File
mod - src/Extrema/Extrema_GenExtSS.hxx Diff File

Issue History

Date Modified Username Field Change
2022-03-02 08:08 kgv New Issue
2022-03-02 08:08 kgv Assigned To => kgv
2022-03-02 08:09 kgv Relationship added child of 0032008
2022-03-02 08:17 kgv Summary BRepExtrema_ExtPF - add exported destructor => Coding Rules, Extrema_GenExtPS - add exported destructor
2022-03-02 08:17 kgv Test case number => N/A
2022-03-02 08:18 git Note Added: 0107129
2022-03-02 10:27 kgv Assigned To kgv => aml
2022-03-02 10:27 kgv Status new => resolved
2022-03-02 10:27 kgv Note Added: 0107131
2022-03-02 12:37 aml Assigned To aml => bugmaster
2022-03-02 12:37 aml Status resolved => reviewed
2022-03-02 12:37 aml Note Added: 0107135
2022-03-06 10:09 smoskvin Status reviewed => tested
2022-03-06 10:09 smoskvin Note Added: 0107206
2022-03-06 13:15 smoskvin Changeset attached => occt master b5204c6c
2022-03-06 13:15 kgv Assigned To bugmaster => kgv
2022-03-06 13:15 kgv Status tested => verified
2022-03-06 13:15 kgv Resolution open => fixed
2022-03-06 13:20 git Note Added: 0107224